/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.EntConta;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author obper
 */
@Entity
@Table(name = "horas_de_trabajo_temporal")
@NamedQueries({
    @NamedQuery(name = "HorasDeTrabajoTemporal.findAll", query = "SELECT h FROM HorasDeTrabajoTemporal h")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findById", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.id = :id")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByEmpCod", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.empCod = :empCod")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByInicioHora", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.inicioHora = :inicioHora")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByFinHora", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.finHora = :finHora")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByTotalHoras", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.totalHoras = :totalHoras")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByHorasDiurnas", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.horasDiurnas = :horasDiurnas")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByHorasNocturnas", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.horasNocturnas = :horasNocturnas")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByFecha", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.fecha = :fecha")
    , @NamedQuery(name = "HorasDeTrabajoTemporal.findByCorrido", query = "SELECT h FROM HorasDeTrabajoTemporal h WHERE h.corrido = :corrido")})
public class HorasDeTrabajoTemporal implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "emp_cod")
    private String empCod;
    @Basic(optional = false)
    @NotNull
    @Column(name = "inicio_hora")
    @Temporal(TemporalType.TIMESTAMP)
    private Date inicioHora;
    @Basic(optional = false)
    @NotNull
    @Column(name = "fin_hora")
    @Temporal(TemporalType.TIMESTAMP)
    private Date finHora;
    @Basic(optional = false)
    @NotNull
    @Column(name = "total_horas")
    private String totalHoras;
    @Basic(optional = false)
    @NotNull
    @Column(name = "horas_diurnas")
    private String horasDiurnas;
    @Basic(optional = false)
    @NotNull
    @Column(name = "horas_nocturnas")
    private String horasNocturnas;
    @Column(name = "fecha")
    @Temporal(TemporalType.DATE)
    private Date fecha;
    @Column(name = "corrido")
    private Boolean corrido;
    @Column(name = "fecha_ingreso")
    @Temporal(TemporalType.DATE)
    private Date fechaIngreso;
    @Basic(optional = false)
    @NotNull
    @Column(name = "id_pago")
    private String idPago;

    public HorasDeTrabajoTemporal() {
    }

    public HorasDeTrabajoTemporal(Integer id) {
        this.id = id;
    }

    public HorasDeTrabajoTemporal(Integer id, String empCod, Date inicioHora, Date finHora, String totalHoras, String horasDiurnas, String horasNocturnas) {
        this.id = id;
        this.empCod = empCod;
        this.inicioHora = inicioHora;
        this.finHora = finHora;
        this.totalHoras = totalHoras;
        this.horasDiurnas = horasDiurnas;
        this.horasNocturnas = horasNocturnas;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getEmpCod() {
        return empCod;
    }

    public void setEmpCod(String empCod) {
        this.empCod = empCod;
    }

    public Date getInicioHora() {
        return inicioHora;
    }

    public void setInicioHora(Date inicioHora) {
        this.inicioHora = inicioHora;
    }

    public Date getFinHora() {
        return finHora;
    }

    public void setFinHora(Date finHora) {
        this.finHora = finHora;
    }

    public String getTotalHoras() {
        return totalHoras;
    }

    public void setTotalHoras(String totalHoras) {
        this.totalHoras = totalHoras;
    }

    public String getHorasDiurnas() {
        return horasDiurnas;
    }

    public void setHorasDiurnas(String horasDiurnas) {
        this.horasDiurnas = horasDiurnas;
    }

    public String getHorasNocturnas() {
        return horasNocturnas;
    }

    public void setHorasNocturnas(String horasNocturnas) {
        this.horasNocturnas = horasNocturnas;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public Boolean getCorrido() {
        return corrido;
    }

    public void setCorrido(Boolean corrido) {
        this.corrido = corrido;
    }

    public Date getFechaIngreso() {
        return fechaIngreso;
    }

    public void setFechaIngreso(Date fechaIngreso) {
        this.fechaIngreso = fechaIngreso;
    }

    public String getIdPago() {
        return idPago;
    }

    public void setIdPago(String idPago) {
        this.idPago = idPago;
    }
    
    

}
